aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/soltest.sh
diff options
context:
space:
mode:
authorchriseth <chris@ethereum.org>2018-04-17 05:03:49 +0800
committerGitHub <noreply@github.com>2018-04-17 05:03:49 +0800
commit4cb486ee993cadde5564fb6c611d2bcf4fc44414 (patch)
tree6b971913021037cf28141c38af97c7ecda77719f /scripts/soltest.sh
parentdfe3193c7382c80f1814247a162663a97c3f5e67 (diff)
parentb8431c5c4a6795db8c42a1a3389047658bb87301 (diff)
downloaddexon-solidity-4cb486ee993cadde5564fb6c611d2bcf4fc44414.tar
dexon-solidity-4cb486ee993cadde5564fb6c611d2bcf4fc44414.tar.gz
dexon-solidity-4cb486ee993cadde5564fb6c611d2bcf4fc44414.tar.bz2
dexon-solidity-4cb486ee993cadde5564fb6c611d2bcf4fc44414.tar.lz
dexon-solidity-4cb486ee993cadde5564fb6c611d2bcf4fc44414.tar.xz
dexon-solidity-4cb486ee993cadde5564fb6c611d2bcf4fc44414.tar.zst
dexon-solidity-4cb486ee993cadde5564fb6c611d2bcf4fc44414.zip
Merge pull request #3892 from ethereum/develop
Merge develop into release for 0.4.22
Diffstat (limited to 'scripts/soltest.sh')
-rwxr-xr-xscripts/soltest.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/scripts/soltest.sh b/scripts/soltest.sh
new file mode 100755
index 00000000..00f484a1
--- /dev/null
+++ b/scripts/soltest.sh
@@ -0,0 +1,43 @@
+#!/usr/bin/env bash
+
+set -e
+
+REPO_ROOT="$(dirname "$0")"/..
+USE_DEBUGGER=0
+DEBUGGER="gdb --args"
+BOOST_OPTIONS=
+SOLTEST_OPTIONS=
+
+while [ $# -gt 0 ]
+do
+ case "$1" in
+ --debugger)
+ shift
+ DEBUGGER="$1"
+ USE_DEBUGGER=1
+ ;;
+ --debug)
+ USE_DEBUGGER=1
+ ;;
+ --boost-options)
+ shift
+ BOOST_OPTIONS="${BOOST_OPTIONS} $1"
+ ;;
+ -t)
+ shift
+ BOOST_OPTIONS="${BOOST_OPTIONS} -t $1"
+ ;;
+ --show-progress | -p)
+ BOOST_OPTIONS="${BOOST_OPTIONS} $1"
+ ;;
+ *)
+ SOLTEST_OPTIONS="${SOLTEST_OPTIONS} $1"
+ ;;
+ esac
+ shift
+done
+if [ "$USE_DEBUGGER" -ne "0" ]; then
+ DEBUG_PREFIX=${DEBUGGER}
+fi
+
+exec ${DEBUG_PREFIX} ${REPO_ROOT}/build/test/soltest ${BOOST_OPTIONS} -- --testpath ${REPO_ROOT}/test ${SOLTEST_OPTIONS}